Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Interface XPathParserConstants

All Known Implementing Classes:
  XPathParser, XPathParserTokenManager

public interface XPathParserConstants

Field Summary
`static int` | `AND`
`static int` | `AXIS_ANCESTOR`
`static int` | `AXIS_ANCESTOR_OR_SELF`
`static int` | `AXIS_ATTRIBUTE`
`static int` | `AXIS_CHILD`
`static int` | `AXIS_DESCENDANT`
`static int` | `AXIS_DESCENDANT_OR_SELF`
`static int` | `AXIS_FOLLOWING`
`static int` | `AXIS_FOLLOWING_SIBLING`
`static int` | `AXIS_NAMESPACE`
`static int` | `AXIS_PARENT`
`static int` | `AXIS_PRECEDING`
`static int` | `AXIS_PRECEDING_SIBLING`
`static int` | `AXIS_SELF`
`static int` | `BaseChar`
`static int` | `CombiningChar`
`static int` | `COMMENT`
`static int` | `DEFAULT`
`static int` | `Digit`
`static int` | `DIV`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `Extender`
`static int` | `FUNCTION_BOOLEAN`
`static int` | `FUNCTION_CEILING`
`static int` | `FUNCTION_CONCAT`
`static int` | `FUNCTION_CONTAINS`
`static int` | `FUNCTION_COUNT`
`static int` | `FUNCTION_FALSE`
`static int` | `FUNCTION_FLOOR`
`static int` | `FUNCTION_FORMAT_NUMBER`
`static int` | `FUNCTION_ID`
`static int` | `FUNCTION_KEY`
`static int` | `FUNCTION_LANG`
`static int` | `FUNCTION_LAST`
`static int` | `FUNCTION_LOCAL_NAME`
`static int` | `FUNCTION_NAME`
`static int` | `FUNCTION_NAMESPACE_URI`
`static int` | `FUNCTION_NORMALIZE_SPACE`
`static int` | `FUNCTION_NOT`
`static int` | `FUNCTION_NULL`
`static int` | `FUNCTION_NUMBER`
`static int` | `FUNCTION_POSITION`
`static int` | `FUNCTION_ROUND`
`static int` | `FUNCTION_STARTS_WITH`
`static int` | `FUNCTION_STRING`
`static int` | `FUNCTION_STRING_LENGTH`
`static int` | `FUNCTION_SUBSTRING`
`static int` | `FUNCTION_SUBSTRING_AFTER`
`static int` | `FUNCTION_SUBSTRING_BEFORE`
`static int` | `FUNCTION_SUM`
`static int` | `FUNCTION_TRANSLATE`
`static int` | `FUNCTION_TRUE`
`static int` | `GT`
`static int` | `GTE`
`static int` | `Ideographic`
`static int` | `Letter`
`static int` | `Literal`
`static int` | `LT`
`static int` | `LTE`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `NCName`
`static int` | `NEQ`
`static int` | `NODE`
`static int` | `Number`
`static int` | `OR`
`static int` | `PI`
`static int` | `PLUS`
`static int` | `S`
`static int` | `SLASH`
`static int` | `SLASHSLASH`
`static int` | `TEXT`
`static java.lang.String[]` | `tokenImage`
`static int` | `UnicodeDigit`
`static int` | `UNION`
`static int` | `VARIABLE`

Field Detail

### EOF

    public static final int EOF

### S

    public static final int S

### SLASH

    public static final int SLASH

### SLASHSLASH

    public static final int SLASHSLASH

### UNION

    public static final int UNION

### PLUS

    public static final int PLUS

### MINUS

    public static final int MINUS

### EQ

    public static final int EQ

### NEQ

    public static final int NEQ

### LT

    public static final int LT

### LTE

    public static final int LTE

### GT

    public static final int GT

### GTE

    public static final int GTE

### VARIABLE

    public static final int VARIABLE

### Literal

    public static final int Literal

### Digit

    public static final int Digit

### Number

    public static final int Number

### Letter

    public static final int Letter

### BaseChar

    public static final int BaseChar

### Ideographic

    public static final int Ideographic

### CombiningChar

    public static final int CombiningChar

### UnicodeDigit

    public static final int UnicodeDigit

### Extender

    public static final int Extender

### OR

    public static final int OR

### AND

    public static final int AND

### MOD

    public static final int MOD

### DIV

    public static final int DIV

### NODE

    public static final int NODE

### TEXT

    public static final int TEXT

### COMMENT

    public static final int COMMENT

### PI

    public static final int PI

### AXIS_SELF

    public static final int AXIS_SELF

### AXIS_CHILD

    public static final int AXIS_CHILD

### AXIS_PARENT

    public static final int AXIS_PARENT

### AXIS_ANCESTOR

    public static final int AXIS_ANCESTOR

### AXIS_ATTRIBUTE

    public static final int AXIS_ATTRIBUTE

### AXIS_NAMESPACE

    public static final int AXIS_NAMESPACE

### AXIS_PRECEDING

    public static final int AXIS_PRECEDING

### AXIS_FOLLOWING

    public static final int AXIS_FOLLOWING

### AXIS_DESCENDANT

    public static final int AXIS_DESCENDANT

### AXIS_ANCESTOR_OR_SELF

    public static final int AXIS_ANCESTOR_OR_SELF

### AXIS_FOLLOWING_SIBLING

    public static final int AXIS_FOLLOWING_SIBLING

### AXIS_PRECEDING_SIBLING

    public static final int AXIS_PRECEDING_SIBLING

### AXIS_DESCENDANT_OR_SELF

    public static final int AXIS_DESCENDANT_OR_SELF

### FUNCTION_LAST

    public static final int FUNCTION_LAST

### FUNCTION_POSITION

    public static final int FUNCTION_POSITION

### FUNCTION_COUNT

    public static final int FUNCTION_COUNT

### FUNCTION_ID

    public static final int FUNCTION_ID

### FUNCTION_KEY

    public static final int FUNCTION_KEY

### FUNCTION_LOCAL_NAME

    public static final int FUNCTION_LOCAL_NAME

### FUNCTION_NAMESPACE_URI

    public static final int FUNCTION_NAMESPACE_URI

### FUNCTION_NAME

    public static final int FUNCTION_NAME

### FUNCTION_STRING

    public static final int FUNCTION_STRING

### FUNCTION_CONCAT

    public static final int FUNCTION_CONCAT

### FUNCTION_STARTS_WITH

    public static final int FUNCTION_STARTS_WITH

### FUNCTION_CONTAINS

    public static final int FUNCTION_CONTAINS

### FUNCTION_SUBSTRING_BEFORE

    public static final int FUNCTION_SUBSTRING_BEFORE

### FUNCTION_SUBSTRING_AFTER

    public static final int FUNCTION_SUBSTRING_AFTER

### FUNCTION_SUBSTRING

    public static final int FUNCTION_SUBSTRING

### FUNCTION_STRING_LENGTH

    public static final int FUNCTION_STRING_LENGTH

### FUNCTION_NORMALIZE_SPACE

    public static final int FUNCTION_NORMALIZE_SPACE

### FUNCTION_TRANSLATE

    public static final int FUNCTION_TRANSLATE

### FUNCTION_BOOLEAN

    public static final int FUNCTION_BOOLEAN

### FUNCTION_NOT

    public static final int FUNCTION_NOT

### FUNCTION_TRUE

    public static final int FUNCTION_TRUE

### FUNCTION_FALSE

    public static final int FUNCTION_FALSE

### FUNCTION_NULL

    public static final int FUNCTION_NULL

### FUNCTION_LANG

    public static final int FUNCTION_LANG

### FUNCTION_NUMBER

    public static final int FUNCTION_NUMBER

### FUNCTION_SUM

    public static final int FUNCTION_SUM

### FUNCTION_FLOOR

    public static final int FUNCTION_FLOOR

### FUNCTION_CEILING

    public static final int FUNCTION_CEILING

### FUNCTION_ROUND

    public static final int FUNCTION_ROUND

### FUNCTION_FORMAT_NUMBER

    public static final int FUNCTION_FORMAT_NUMBER

### NCName

    public static final int NCName

### DEFAULT

    public static final int DEFAULT

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.